PLD-doc: make-todo.sh - autocommit magic (always forget to do it m...
glen
glen at pld-linux.org
Tue Feb 28 20:55:14 CET 2006
Author: glen Date: Tue Feb 28 19:55:14 2006 GMT
Module: PLD-doc Tag: HEAD
---- Log message:
- autocommit magic (always forget to do it myself)
---- Files affected:
PLD-doc:
make-todo.sh (1.3 -> 1.4)
---- Diffs:
================================================================
Index: PLD-doc/make-todo.sh
diff -u PLD-doc/make-todo.sh:1.3 PLD-doc/make-todo.sh:1.4
--- PLD-doc/make-todo.sh:1.3 Thu Feb 2 16:06:09 2006
+++ PLD-doc/make-todo.sh Tue Feb 28 20:55:09 2006
@@ -1,4 +1,5 @@
#!/bin/sh
+set -e
SPECS=../all-specs
TODO="specs-auto-todo.txt"
@@ -14,4 +15,11 @@
sed -n -e '/^# TODO/,/[^#]/{s/^# *//;p}' $a >> $TODO
echo "" >> $TODO
done
+
+# it might be unexpected if it commits, therefore the username check
+if [ "$USER" = glen ]; then
+ echo >&2 "commiting"
+ cvs ci -m '- updated' specs-auto-todo.txt
+fi
+
echo >&2 "finished"
================================================================
---- CVS-web:
http://cvs.pld-linux.org/PLD-doc/make-todo.sh?r1=1.3&r2=1.4&f=u
More information about the pld-cvs-commit
mailing list